Skip to main content
POST
/
api
/
admin
/
institution
/
{id}
/
agent
/
disable
Disable agent workspace desired state
curl --request POST \
  --url https://pria.praxislxp.com/api/admin/institution/{id}/agent/disable \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "reason": "<string>"
}
'
{
  "success": true,
  "idempotent": true,
  "agent": {
    "enabled": true,
    "status": "not_enabled",
    "preset": "<string>",
    "manifestYaml": "<string>",
    "manifestDigest": "<string>",
    "preferences": {
      "cpu": 2.125,
      "memoryMb": 4352,
      "storageGb": 52,
      "gui": true,
      "vncResolution": "1280x800"
    },
    "requestedBy": "<string>",
    "requestedAt": "2023-11-07T05:31:56Z",
    "provisionedAt": "2023-11-07T05:31:56Z",
    "lastError": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

id
string
required

Institution ID

Body

application/json
reason
string
Maximum string length: 2000

Response

Agent desired state disabled

success
boolean
idempotent
boolean
agent
object